aboutsummaryrefslogtreecommitdiffstats
path: root/testing/proftpd/proftpd.initd
diff options
context:
space:
mode:
authorElizabeth Jennifer Myers <elizabeth@sporksirc.net>2011-02-03 08:02:53 +0000
committerElizabeth Jennifer Myers <elizabeth@sporksirc.net>2011-02-03 08:02:53 +0000
commit46f323660247f30243eeae7940562704682630e5 (patch)
treeb6e74b0ece13e5ffbc5d7e66b1449b921bef0908 /testing/proftpd/proftpd.initd
parent4bd1d1ab34b210ee8abfa7430bd2d49cb91227ba (diff)
downloadaports-46f323660247f30243eeae7940562704682630e5.tar.bz2
aports-46f323660247f30243eeae7940562704682630e5.tar.xz
testing/proftpd: new aport
Diffstat (limited to 'testing/proftpd/proftpd.initd')
-rw-r--r--testing/proftpd/proftpd.initd29
1 files changed, 29 insertions, 0 deletions
diff --git a/testing/proftpd/proftpd.initd b/testing/proftpd/proftpd.initd
new file mode 100644
index 0000000000..30aae779c1
--- /dev/null
+++ b/testing/proftpd/proftpd.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+
+# Sample init.d file for alpine linux.
+
+name=proftpd
+daemon=/usr/sbin/proftpd
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${name}"
+ start-stop-daemon --start --quiet \
+ --pidfile /var/run/${name}.pid \
+ --chuid ${sample_user}:${sample_group} \
+ --exec ${daemon} -- ${sample_opts}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/$name.pid \
+ --exec ${daemon}
+ eend $?
+}
+